Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159971 - Dynamic link doesn't work on x86_64
Summary: Dynamic link doesn't work on x86_64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: guile
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 19:59 UTC by H.J. Lu
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-02 10:19:06 UTC


Attachments (Terms of Use)

Description H.J. Lu 2005-06-09 19:59:10 UTC
guile-1.6.4-14 has

libguile/scmconfig.h:#define LTDL_SYSSEARCHPATH "/lib:/usr/lib"

It is wrong for x86_64. A quick hack

--- guile-1.6.4/configure.lib64 2005-06-09 12:34:40.486511382 -0700
+++ guile-1.6.4/configure       2005-06-09 12:49:59.772813211 -0700
@@ -6876,6 +6876,13 @@ linux-gnu*)
   # before this can be enabled.
   hardcode_into_libs=yes

+  case $host_cpu in
+  x86_64)
+    sys_lib_dlsearch_path_spec="/lib64 /usr/lib64"
+    sys_lib_search_path_spec="/lib64 /usr/lib64 /usr/local/lib64"
+    ;;
+  esac
+
   # We used to test for /lib/ld.so.1 and disable shared libraries on
   # powerpc, because MkLinux only supported shared libraries with the
   # GNU dynamic linker.  Since this was broken with cross compilers,

makes it to work on x86_64. I think any 64bit systems which use lib64 are
broken.

Comment 1 Phil Knirsch 2005-09-02 10:19:06 UTC
I've fixed this bug in the latest development release we have.

If you think this bug needs fixing for RHEL4 in a quarterly update please open
an Issuetracker for it so we can properly track it.

Thanks,

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.